Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.table
Class RwiMembersComponent

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.table.RwiElementsComponent
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.table.RwiMembersComponent

public abstract class RwiMembersComponent
extends RwiElementsComponent

Keeps IdeInspectorProperties relating to the same RwiMembers. For each RwiElement there is an associated IdeInspectorPropertySetComponent containg some set of IdeInspectorProperties relating to the RwiMember.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.table.RwiElementsComponent
`myContext`

Constructor Summary
`RwiMembersComponent(IdeContext context)` Constructs this component for certain IdeContext.

Method Summary
`protected boolean` | `checkRwiElement(RwiElement rwiElement)` Should be owerridden for working only with specific kinds of RwiElements.
`protected RwiElement[]` | `getCandidatesToAdd()`
`RwiNode` | `getMemberContainingNode()` Determines RwiNode which contains this member.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.table.RwiElementsComponent
`addPropertyChangeListener, addRwiElement, createIdePropertySetForRwiElement, firePropertyChange, getRwiElementIndex, getRwiElements, getRwiElementsPropertySets, removePropertyChangeListener, removeRwiElement, resetElements, update`

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
`getService, setService`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### RwiMembersComponent

    public RwiMembersComponent(IdeContext context)

  Constructs this component for certain IdeContext.
  Parameters:
    context - IdeContext for which this component will be constructed

Method Detail

### checkRwiElement

    protected boolean checkRwiElement(RwiElement rwiElement)

  Should be owerridden for working only with specific kinds of RwiElements.
  Parameters:
    rwiElement - RwiElement to be checked
  Returns: true if specified RwiElement is a RwiMember, false otherwise

### getCandidatesToAdd

    protected RwiElement[] getCandidatesToAdd()

### getMemberContainingNode

    public RwiNode getMemberContainingNode()

  Determines RwiNode which contains this member.
  Returns: RwiNode which contains this member, null if not found

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD